
import 'dart:async';

import 'package:flutter/services.dart';

class RexswiftFlutter {
  static const MethodChannel _channel =
      const MethodChannel('rexswift_flutter');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<void> configure(String appId, String senderId, String appGroup, bool isDev) async {
    await _channel.invokeMethod('configure', {'appId': appId, 'senderId': senderId, 'appGroup': appGroup, 'isDev': isDev});
  }

  static Future<void> logEvent(String eventName, Map parameters, int vts, int vtsCurr) async {
    await _channel.invokeMethod('logEvent', {'eventName': eventName, 'parameters': parameters, 'vts': vts, 'vtsCurr': vtsCurr});
  }

}
